## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanMemMgrAutoPtr< Type, toCallDestructor >::MemMgrAutoPtrData Class Reference

List of all members.

## Public Member Functions

- MemMgrAutoPtrData ()
- MemMgrAutoPtrData (MemoryManagerType *memoryManager, Type *dataPointer)
- bool isInitilized () const
- void deallocate ()
- void reset (MemoryManagerType *m_memoryManager, Type *m_dataPointer)

### template<class Type, bool toCallDestructor = true>
class XalanMemMgrAutoPtr< Type, toCallDestructor >::MemMgrAutoPtrData

## Constructor & Destructor Documentation

template<class Type, bool toCallDestructor = true>
XalanMemMgrAutoPtr< Type, toCallDestructor >::MemMgrAutoPtrData::MemMgrAutoPtrData | ( |  | ) |

template<class Type, bool toCallDestructor = true>
XalanMemMgrAutoPtr< Type, toCallDestructor >::MemMgrAutoPtrData::MemMgrAutoPtrData | ( | MemoryManagerType * | memoryManager,
|  | Type * | dataPointer
| ) |

## Member Function Documentation

template<class Type, bool toCallDestructor = true>
void XalanMemMgrAutoPtr< Type, toCallDestructor >::MemMgrAutoPtrData::deallocate | ( |  | ) |

template<class Type, bool toCallDestructor = true>
bool XalanMemMgrAutoPtr< Type, toCallDestructor >::MemMgrAutoPtrData::isInitilized | ( |  | ) | const

template<class Type, bool toCallDestructor = true>
void XalanMemMgrAutoPtr< Type, toCallDestructor >::MemMgrAutoPtrData::reset | ( | MemoryManagerType * | m_memoryManager,
|  | Type * | m_dataPointer
| ) |

The documentation for this class was generated from the following file:

- XalanMemMgrAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.